{ lib, stdenv, fetchFromGitHub, pkg-config, lapack }:

stdenv.mkDerivation rec {
  version = "2.11.10-latest";
  pname = "coinutils";

  src = fetchFromGitHub {
    owner = "coin-or";
    repo = "CoinUtils";
    rev = "014be1f1724c074401d9d9c27bcce35baa9dca45";
    hash = "sha256-8rMp8C7/Ck1QuJjdnnQYz781WbLLZDRz826OGQ5pCPg=";
  };

  nativeBuildInputs = [ pkg-config lapack ];

  doCheck = true;

  meta = with lib; {
    license = licenses.epl20;
    homepage = "https://github.com/coin-or/CoinUtils";
    description = "Collection of classes and helper functions that are generally useful to multiple COIN-OR projects";
    maintainers = with maintainers; [ tmarkus ];
  };
}
