let
  pkgs = import <nixpkgs> {};
  latest-coin-utils = pkgs.callPackage ./nix/coin-utils.nix {};
  latest-osi =
    (pkgs.callPackage ./nix/osi.nix {}).override {
      coin-utils = latest-coin-utils;
    };
  latest-clp =
    (pkgs.callPackage ./nix/clp.nix {}).override {
      coin-utils = latest-coin-utils;
      osi = latest-osi;
    };
in
pkgs.mkShell {
  nativeBuildInputs = (with pkgs; [
    latest-clp
    latest-coin-utils
    pkg-config
    gmp
    bzip2
    lapack
    blas
  ]);
}
